
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WaitForSingleObject函数 / iVAN</title>

    <meta name="description" content="WaitForSingleObject函数 WaitForSingleObject函数 VC声明 DWORD WaitForSingleObject( HANDLE hHandle, DWORD dwMilliseconds ); VB声明 Declare Function WaitForSingleObject Lib &quot;kernel32&quot; (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long 编辑本段说明 DWORD WINAPI WaitFor ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WaitForSingleObject函数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>WaitForSingleObject函数</h2>
<p><strong>VC声明</strong></p>
<p>DWORD WaitForSingleObject(</p>
<p>HANDLE hHandle,</p>
<p>DWORD dwMilliseconds</p>
<p>);</p>
<p>VB声明</p>
<p>Declare Function WaitForSingleObject Lib "kernel32" (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long</p>
<h2><a href="http://baike.baidu.com/view/908866.htm#" rel="external nofollow noreferrer">编辑本段</a>说明</h2>
<p>DWORD WINAPI WaitForSingleObject(</p>
<p>__in  HANDLE hHandle,</p>
<p>__in  DWORD dwMilliseconds</p>
<p>);</p>
<h3>参数</h3>
<p><em>hHandle</em> [in]对象句柄。可以指定一系列的对象，如Event、Job、Memory resource notification、Mutex、Process、Semaphore、Thread、Waitable timer等。</p>
<p>当等待仍在<a href="http://baike.baidu.com/view/1268241.htm" rel="external nofollow noreferrer">挂起状态</a>时，句柄被关闭，那么函数行为是未定义的。该句柄必须具有 SYNCHRONIZE 访问权限。</p>
<p><em>dwMilliseconds</em> [in]定时时间间隔，单位为milliseconds（毫秒）.如果指定一个非零值，函数处于等待状态直到<em>hHandle</em> 标记的对象被触发，或者时间到了。如果<em>dwMilliseconds</em> 为0，对象没有被触发信号，函数不会进入一个等待状态，它总是立即返回。如果<em>dwMilliseconds</em> 为INFINITE，对象被触发信号后，函数才会返回。</p>
<h3>返回值</h3>
<p>执行成功，返回值指示出引发函数返回的事件。它可能为以下值：</p>
<table>
<tbody>
<tr>
<th>
 </th>
<th>
 </th>
</tr>
<tr>
<td>
<br />WAIT_ABANDONED0x00000080L
</td>
<td>
<br />The specified object is a mutex object that was not released by the thread that owned the mutex object before the owning thread terminated. Ownership of the mutex object is granted to the calling<br />
 thread and the mutex state is set to nonsignaled.</p>
<p>If the mutex was protecting persistent state information, you should check it for consistency.
</td>
</tr>
<tr>
<td>
<br />WAIT_OBJECT_00x00000000L
</td>
<td>
<br />The state of the specified object is signaled.
</td>
</tr>
<tr>
<td>
<br />WAIT_TIMEOUT0x00000102L
</td>
<td>
<br />The time-out interval elapsed, and the object's state is nonsignaled.
</td>
</tr>
<tr>
<td>
<br />WAIT_FAILED(DWORD)0xFFFFFFFF
</td>
<td>
<br />The function has failed. To get extended error information, call <a href="http://baike.baidu.com/view/1730168.htm" rel="external nofollow noreferrer"><strong>GetLastError</strong></a>.
</td>
</tr>
</tbody>
</table>
<p>WaitForSingleObject函数用来检测hHandle事件的信号状态，在某一线程中调用该函数时，线程暂时挂起，如果在挂起的dwMilliseconds毫秒内，线程所等待的对象变为有信号状态，则该函数立即返回；如果超时时间已经到达dwMilliseconds毫秒，但hHandle所指向的对象还没有变成有信号状态，函数照样返回。参数dwMilliseconds有两个具有特殊意义的值：0和INFINITE。若为0，则该函数立即返回；若为INFINITE，则线程一直被挂起，直到hHandle所指向的对象变为有信号状态时为止。</p>
<p><strong>返回值：</strong></p>
<p><em>WAIT_ABANDONED 0x00000080：</em>当hHandle为mutex时，如果拥有mutex的线程在结束时没有释放核心对象会引发此返回值。</p>
<p>WAIT_OBJECT_0 0x00000000 ：核心对象已被激活</p>
<p>WAIT_TIMEOUT 0x00000102：等待超时</p>
<p>WAIT_FAILED 0xFFFFFFFF ：出现错误，可通过GetLastError得到错误代码</p>
<p>在这里举个例子：</p>
<p>先创建一个全局Event对象g_event:</p>
<p>CEvent g_event;</p>
<p>在程序中可以通过调用CEvent::SetEvent设置事件为有信号状态。</p>
<p>下面是一个线程函数MyThreadPro()</p>
<p>UINT CFlushDlg::MyThreadProc( LPVOID pParam )</p>
<p>{</p>
<p>WaitForSingleObject(g_event,INFINITE);</p>
<p>For(;;)</p>
<p>{</p>
<p>………….</p>
<p>}</p>
<p>return 0;</p>
<p>}</p>
<p>在这个线程函数中只有设置g_event为有信号状态时才执行下面的for循环，因为g_event是<a href="http://baike.baidu.com/view/261041.htm" rel="external nofollow noreferrer">全局变量</a>，所以我们可以在别的线程中通过g_event. SetEvent控制这个线程。</p>
<p>还有一种用法就是我们可以通过WaitForSingleObject函数来间隔的执行一个线程函数的函数体</p>
<p>UINT CFlushDlg::MyThreadProc( LPVOID pParam )</p>
<p>{</p>
<p>while(WaitForSingleObject(g_event,MT_INTERVAL)!=WAIT_OBJECT_0)</p>
<p>{</p>
<p>………………</p>
<p>}</p>
<p>return 0;</p>
<p>}</p>
<p>在这个线程函数中可以通过设置MT_INTERVAL来控制这个线程的<a href="http://baike.baidu.com/view/1377635.htm" rel="external nofollow noreferrer">函数体</a>多久执行一次，当事件为无信号状态时函数体隔MT_INTERVAL执行一次，当设置事件为有信号状态时，线程就执行完毕了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 06:11:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WaitForSingleObject函数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Nej4p.html" rel="bookmark">WaitForSingleObject</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用户模式的线程同步机制效率高,如果需要考虑线程同步问题,应该首先考虑用户模式的线程同步方法. 但是,用户模式的线程同步有限制,对于多个进程之间的线程同步,用户模式的线程同步方法无能为力.这时,只能考虑使用内核模式.   Windows提供了许多内核对象来实现线程的同步.对于线程同步而言,这些内核对象有两个非常重要的状态:&quot;已通知&quot;状态,&quot;未通知&quot;状态(也有翻译为:受信状态,未受信状态).Windows提供了几种内核对象可以处于已通知状态和未通知状态:进程.线程.作业			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ26OM.html" rel="bookmark">Delete yourself&lpar;C&num;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一种巧妙的删除程序自己的方法 关键字 一种巧妙的删除程序自己的方法 大家都知道,一般的程序运行的时候,可执行文件本身是被操作系统保护的,不能用改写的方式访问,更别提在本身还在运行的时侯删除自己了.在Lu0的主页上看到一种UNDOCUMENT的方法,通过改变系统底层的文件访问模式实现删除自己,那是实在功夫.我看 了很是佩服.但是有没有一种用在MSDN上就能查到的函数实现呢?有!Jeffrey Richter给我们做了一个范例: DeleteMe.CPP Module name: DeleteMe.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR2xYz.html" rel="bookmark">汇编教程之事件对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本课中我们将要学习事件对象以及如何在多线程编程中如何使用同步对象. 理论: 上一课中我们演示了如何用WINDOWS消息在不同的线程之间进行通讯.另外的两种,即:使用全局变量和事件对象,将在本课中讲解. 事件对象就像一个开关:它只有两种状态---开和关.当一个事件处于&quot;开&quot;状态,我们称其为&quot;有信号&quot;否则称为&quot;无信号&quot;.您可以在一个线程的执行函数中创建一个事件对象,然后观察它的状态,如果是&quot;无信号&quot;就让该线程睡眠,这样该线程占用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKwy6p.html" rel="bookmark">事件对象在多线程编程中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本课中我们将要学习事件对象以及如何在多线程编程中如何使用同步对象. 理论:上一课中我们演示了如何用WINDOWS消息在不同的线程之间进行通讯.另外的两种,即:使用全局变量和事件对象,将在本课中讲解. 事件对象就像一个开关:它只有两种状态---开和关.当一个事件处于&quot;开&quot;状态,我们称其为&quot;有信号&quot;否则称为&quot;无信号&quot;.您可以在一个线程的执行函数中创建一个事件对象,然后观察它的状态,如果是&quot;无信号&quot;就让该线程睡眠,这样该线程占用的C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7k8NXz.html" rel="bookmark">临界区的互斥控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文配套源码 一.前言 我正在研究线程的通讯,无奈有关这方面的资料实在太少,没办法我只好去啃MSDN,但是MSDN好像说得也不太清楚.所以那我就写了这么一个例子,以望对学习多线程编程起到引玉抛砖的作用.有个易懂的例子学起来总是容易很多.近来我正在复习那几个排序算法,于是就把这些算法写到了这里来作为线程的例子.同时也对几个通用的排序算法思想作了一些说明. 这个例子利用多线程使用不同的排序算法对数据进行排序,每一个线程使用不同的算法.主线程里使用快速排序QuickSort,其他四个算法分别建立四个子			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEkq4b.html" rel="bookmark">多线程编程&lpar;19&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面例子的基础上, 探讨新问题. 假如我们想让几个线程(例子中是 3 个)依次执行, 我们可以使用临界区.信号.互斥等手段; 但下面第一个例子什么同步工具都没用, 也达到了目的; 方法是: 让前一个线程在结束前顺便启动下一个线程. 第二个例子使用了互斥对象配合 WaitForSingleObject 函数, 也达到相似的目的. 效果图(两个例子的效果图差不多, 但第二个例子的执行顺序不好保证): 第一个例子的代码文件: unit Unit1; interface uses Windows, M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK74E7b.html" rel="bookmark">多线程编程&lpar;10&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理分析: 互斥对象是系统内核对象, 各线程都可以拥有它, 谁拥有谁就能执行; 执行完毕, 用 ReleaseMutex 函数释放拥有权, 以让其他等待的线程使用. 其他线程可用 WaitForSingleObject 函数排队等候(等候也可以理解为排队申请). 使用过程: var hMutex: THandle; {应该先声明一个全局的互斥句柄} CreateMutex {建立一个互斥对象} WaitForSingleObject {用等待函数排队等候} ReleaseMutex {释放拥有权			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBgqQb.html" rel="bookmark">线程性能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着多核处理器变得越来越常见,软件开发人员就需要构建多线程应用程序 ,从而利用更多的处理能力来实现更高的性能.借助并行线程的强大功能,您可 以将整个工作划分为多项单独的任务,并以并行模式执行这些任务. 但是,线程经常需要相互通信才能完成任务:而且根据算法或数据访问的要 求,有时还需要同步线程的行为.例如,应该以互斥的方式授予线程对同一数据 的同时写访问权限,以避免数据损坏. 同步操作通常是通过使用共享的同步对象来完成的.对于获得该对象的线程 ,将授予其对敏感代码或数据的共享或独占访问权限.当不再			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32J70z.html" rel="bookmark">线程及 进程间的通信问题！ &period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个很好的编程随想的博客http://program-think.blogspot.com/2009/03/producer-consumer-pattern-0-overview.html 架构设计:生产者/消费者模式[0]:概述  1.如何确定数据单元2.队列缓冲区3.环形缓冲区4.双缓冲区 生产 消费 2010-06-01 10:13   #include &lt;boost/thread/thread.hpp&gt; #include &lt;boost/thread/mutex.hpp&gt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkZJEM.html" rel="bookmark" class="title">win7系统回收站删除的文件怎么恢复？</a>
					<div>
						  win7系统回收站删除的文件怎么恢复? 1.按下&quot;Win+R&quot;组合键呼出运行,在运行框中输入&quot;regedit&quot;点击确定打开&quot;注册表编辑器&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnJmop.html" rel="bookmark" class="title">c&num;中实现文件拖放打开的方法</a>
					<div>
						private void Form1_DragEnter(object sender, System.Windows.Forms.DragEventArgs e) { if (e.Data.GetDa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLOkGb.html" rel="bookmark" class="title">一个好用的VC DBGRID</a>
					<div>
						一.引言 在用vc开发关于数据库的项目时,通常我们只好用微软的DBGRID作为数据库表格控件,其实微软的DBGRID并不好用,想找一份好的帮助文档都找不到,并且界面并不友好,比起C++Builder中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK0vxp.html" rel="bookmark" class="title">MS SQL基础教程：数据库属性设置</a>
					<div>
						在创建数据库以后还可以设置其属性,以更改创建时的某些设置和创建时无法设置的属性.用右键单击所要设置属性的数据库,从快捷菜单中选择选项&quot;属性(Properties)&quot;,就会出现如图6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6aLEz.html" rel="bookmark" class="title">UVa 10252 Common Permutation &lpar;water ver&period;&rpar;</a>
					<div>
						10252 - Common Permutation Time limit: 3.000 seconds http://uva.onlinejudge.org/index.php?option=com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rq2xp.html" rel="bookmark" class="title">为Win7找回苗条的任务栏</a>
					<div>
						安装了Windows7后,在默认情况下往苗条的任务栏变得非常巨大.这是Win7为了让用户特别是大屏幕用户能够更加清晰地看到任务栏的内容.可是这样巨大的任务栏对一些还在使用小屏幕的朋友来说,实在是占用了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EBLaM.html" rel="bookmark" class="title">windows网络识别慢怎么办</a>
					<div>
						  windows网络识别慢怎么办           打开开始菜单,找到控制面板,点击进去 控制面板的的&quot;网络和Internet&quot;分类下,选择&quot;查看网络状态和任务&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGLx5p.html" rel="bookmark" class="title">Win7不能实现桌面全屏该怎么办</a>
					<div>
						  win7纯净版安装之后很多用户都会遇到各种各样的问题,比如说想要全屏幕却怎么也做不到,而且屏幕的两边还会出现黑边,看起来十分的惹人讨厌,大大的影响了美观.那么这到底是怎么回事呢?Win7纯净版不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLeQdb.html" rel="bookmark" class="title">如何把命令操作集成到右键菜单？</a>
					<div>
						  很多时候,我们需要将文件夹中的文件列表复制出来,或者快速清空剪贴板的内容,可你又不想安装第三方工具,此时虽然可以使用dir等古老的DOS命令实现,但命令参数又相对复杂.其实,通过注册表编辑器,就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWW7vp.html" rel="bookmark" class="title">前端-新手关于Python爬虫的问题</a>
					<div>
						问题描述 新手关于Python爬虫的问题 Python入门不久的新手想问下做爬虫需要知道哪些前端的知识呢,本人完全前端白痴一个... 谢谢!!! 解决方案 XML Regular Expression ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PZG4p.html" rel="bookmark" class="title">servlet SearchVisit 的某一服务方法创建了未捕获到的异常。创建的异常：java&period;lang&period;NullPointerException</a>
					<div>
						问题描述 RT:本地tomcat无问题.[15-3-49:45:13:731GMT+08:00]00000032servletEcom.ibm.ws.webcontainer.servlet.Serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Nv7LM.html" rel="bookmark" class="title">移动端h5日期怎么做 谁有类似的可以分享一下案例吗？谢谢了</a>
					<div>
						问题描述 移动端h5日期怎么做 谁有类似的可以分享一下案例吗?谢谢了 移动端h5的弹出的日期怎么做 谁有类似的可以分享一下案例吗?谢谢了 解决方案 http://www.jq22.com/jquery ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR7NNb.html" rel="bookmark" class="title">jquery-Jquery sortable 问题求教。</a>
					<div>
						问题描述 Jquery sortable 问题求教. 如图,可拖拽元素拖拽到图中2按钮时,切换到按钮2的界面,并且能将拖拽元素拖拽到图2界面. 解决方案 jquery Sortable参数 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKBNVb.html" rel="bookmark" class="title">OA协同办公考勤比传统考勤更方便的三个体现</a>
					<div>
						越来越多的公司选择采用协同办公系统来辅助办公,OA协同办公系统也确实让企业的管理变得更加高效便捷,以最基础的考勤功能来说,相比较打卡机签到.纸张签字申请等繁琐的人工流程,OA系统考勤则更加省时省力,主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRm0Bb.html" rel="bookmark" class="title">Ajax等待返回结果时&comma;弹出一个友好的等待提示</a>
					<div>
						巧用Ajax的beforeSend 提高用户体验 jQuery是经常使用的一个开源js框架,其中的$.ajax请求中有一个beforeSend方法,用于在向服务器发送请求前执行一些动作. 具体可参考j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR5jOp.html" rel="bookmark" class="title">java的正则匹配数学符号怎么匹配</a>
					<div>
						问题描述 java的正则匹配数学符号怎么匹配 大家好,最近用java 正则处理试题,将每个试题对应的数字去掉,但是对于数字+单位的不能去掉,例如 3μm.但是不知道怎么匹配μ这样的拉丁字母,大侠们帮忙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40g9Nz.html" rel="bookmark" class="title">博弈还是合作 中国的创与投</a>
					<div>
						创业者和投资人的关系就像鱼和水,更像是嘴唇和牙齿,所谓唇亡齿寒,而在中国的当下的投资环境中,创与投的关系并不融洽.是合作还是博弈,是恋人还是敌人,从俏江南.后谷咖啡.相宜本草再到雷士照明,创始人与投资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqqYmb.html" rel="bookmark" class="title">MySQL函数库：mysql&lowbar;fetch&lowbar;array</a>
					<div>
						mysql_fetch_array (PHP3 , PHP4) mysql_fetch_array ---&amp;http://www.aliyun.com/zixun/aggregation/37 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQZRBp.html" rel="bookmark" class="title">腾讯游戏文件删除-穿越火线NTCLS文件删除不了</a>
					<div>
						问题描述 穿越火线NTCLS文件删除不了 穿越火线NTCLS文件删除不了,每次删除时总会显示正在运行中,即使电脑重启还是如此,求各位大神帮忙.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLk9qM.html" rel="bookmark" class="title">谷歌Drive为PC和Mac用户增新功能</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   到了今天,Google Drive上的文件分享正变得更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnd0rM.html" rel="bookmark" class="title">探案剧《皇粮胡同》热拍许晴殷桃共浴曝光&lpar;图&rpar;</a>
					<div>
						许晴殷桃共浴 许晴 殷桃 新浪娱乐讯 由许晴.殷桃.陆毅.刘金山.邵峰等主演,根据网络热门小说改编的电视剧&lt;皇粮胡同十九号&gt;目前正在横店紧张拍摄.这部吊人胃口的小说剧情悬疑,剧组神秘,主演 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAYX5b.html" rel="bookmark" class="title">又向创业者提供可操作的建议，以助力打造优秀的公司</a>
					<div>
						很多创业公司都会采用内部员工推荐的方式招聘新员工.传统的内部员工推荐招聘方式大致是这样的:公司里的部分员工大概知道公司里有什么空缺职位,也大概知道自己的关系网中可能适合这一职位的人选,然而他们只是在工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eEONb.html" rel="bookmark" class="title">盘点2016年人工智能与深度学习领域的十大收购</a>
					<div>
						自从谷歌2014年花费4亿英镑收购了当时默默无闻的剑桥大学初创团队Deep Mind后,科技公司就一直热衷于收购AI科技公司. 企业软件制造商希望通过收购AI科技公司来获得什么呢?他们无非是想使其产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nk6jz.html" rel="bookmark" class="title">《深入理解Android：Telephony原理剖析与最佳实践》一3&period;1　何为同步和异步</a>
					<div>
						3.1 何为同步和异步 Android Telephony相关应用中,Telephony大量使用了Handler.Broadcast等通信方式,而在Android操作系统平台中的Handler消息处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWWLez.html" rel="bookmark" class="title">B&sol;S模式项目中常用的javascript汇总&lowbar;javascript技巧</a>
					<div>
						屏弊网页的右键&lt;body oncontextmenu=&quot;return false&quot;&gt;或&lt;body style=&quot;overflow-y:hidden&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWgaRz.html" rel="bookmark" class="title">使用scp获取远程linux服务器上的文件 linux远程拷贝文件&lowbar;linux shell</a>
					<div>
						一.scp是什么? scp是secure copy的简写,用于在Linux下进行远程拷贝文件的命令,和它类似的命令有cp,不过cp只是在本机进行拷贝不能跨服务器,而且scp传输是加密的.可能会稍微影响 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOno79p.html" rel="bookmark" class="title">让浏览器DOM元素最后加载的js方法&lowbar;javascript技巧</a>
					<div>
						让浏览器DOM元素最后加载的js方法 window.onload = =function() { a(); b(); } 就在界面所有元素加载完后,执行a()方法和 b()方法,防止在界面加载一半就弹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE59Zz.html" rel="bookmark" class="title">sql DateAdd函数之查询最近几年、几月的数据</a>
					<div>
						实例 假设我们有下面这个 &quot;Orders&quot; 表: OrderId ProductName OrderDate 1 'Computer' 2008-12-29 16:25:46.63 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWl9az.html" rel="bookmark" class="title">ue-UE的坐标系怎么调整？</a>
					<div>
						问题描述 UE的坐标系怎么调整? 不小心搞到这个轴要怎么办,请问怎么调回去?现在天旋地转感觉头好晕					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Nrkb.html" rel="bookmark" class="title">请问高手 谁能帮我整合这两套程序的代码 都是用C&num;连接SQL做的 其中内容不一致 之后我自行修改即可～</a>
					<div>
						问题描述 毕业设计要做个MRP不过我就找到了MRP的部分和进销存系统的部分不过我发现它们两个合在一起就行了所以哪位朋友要能帮我这个忙的话不胜感激 解决方案 解决方案二:有人知道吗教教我也好啊--解决方 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
